--[[ tehMiscellanies by tehMugwump
Gobblers no longer eat your berries!
-------------------------------------------------------------------------------
INSTALL:
-- To install this mod, put this file in a new folder under
-- "..\mods" called "tehMiscellanies",


When you run the game you should see a screen pop up that lists this mod as being loaded.
--]]
-------------------------------------------------------------------------------
PrefabFiles = {
	'wormhole',

}

AddPrefabPostInit("firepit", function(inst)
	inst:DoTaskInTime(0, function(inst) inst.components.fueled:InitializeFuelLevel(math.huge) end)
end)

TUNING.ARMORMARBLE_SLOW = 1.0 --was 0.7

--brings Rope (and others using MED) back to their full glory when used as fuel
local seg_time = 30
local perish_warp = 1--/200
local total_day_time = seg_time*16

--Perish settings (not needed if using Infinite Foods:
TUNING.PERISH_SUPERFAST = 40*total_day_time*perish_warp --super slow
TUNING.PERISH_FAST = 40*total_day_time*perish_warp --super slow
TUNING.PERISH_MED = 40*total_day_time*perish_warp --super slow
TUNING.PERISH_SLOW = 40*total_day_time*perish_warp --super slow
TUNING.PERISH_PRESERVED = 40*total_day_time*perish_warp --super slow
TUNING.PERISH_SUPERSLOW = 40*total_day_time*perish_warp --super slow
TUNING.PERISH_FRIDGE_MULT =  .05 -- was .5
TUNING.PERISH_GROUND_MULT = .05 -- was 1.5
TUNING.PERISH_GLOBAL_MULT = .05 -- was 1
TUNING.PERISH_WINTER_MULT = .05 -- was .75

--misc
TUNING.MED_FUEL = seg_time * 20 -- up from 1.5
TUNING.CAMPFIRE_RAIN_RATE = 1.0
TUNING.PIGGYBACK_SPEED_MULT = 1.0 -- up from 0.8


--A bit of Mob adjusting: 
TUNING.HOUND_HEALTH = 80
TUNING.HOUND_DAMAGE = 10
TUNING.FIREHOUND_HEALTH = 80
TUNING.FIREHOUND_DAMAGE = 10   
TUNING.ICEHOUND_HEALTH = 80
TUNING.ICEHOUND_DAMAGE = 10
TUNING.SPIDER_HEALTH = 80
TUNING.SPIDER_WARRIOR_HEALTH = 80
TUNING.SPIDER_HIDER_HEALTH = 80
TUNING.SPIDER_SPITTER_HEALTH = 80
TUNING.SPIDER_SPITTER_DAMAGE_RANGED = 5
TUNING.SPIDER_SPITTER_ATTACK_RANGE = 5

--5 chops max
TUNING.EVERGREEN_CHOPS_SMALL = 3  --was 5
TUNING.EVERGREEN_CHOPS_NORMAL = 4  --was 10
TUNING.EVERGREEN_CHOPS_TALL = 5  --was 15
TUNING.MUSHTREE_CHOPS_TALL = 5  --was 15
TUNING.MUSHTREE_CHOPS_MEDIUM = 4
TUNING.MUSHTREE_CHOPS_SMALL = 3

--armor (based on wilson's health of 150)
TUNING.ARMORGRASS = 150*100 --was *1.5
TUNING.ARMORWOOD = 150*100 --was *1
TUNING.ARMORMARBLE = 150*100 --was *7
TUNING.ARMOR_FOOTBALLHAT = 150*100 --was *3
TUNING.ARMOR_BEEHAT = 150*100 --was *5
TUNING.ARMORMARBLE = 150*100 -- was *5
TUNING.ARMOR_SLURTLEHAT = 150*100 -- was *5

--Walls
TUNING.HAYWALL_HEALTH = 200		--Default: 100
TUNING.WOODWALL_HEALTH = 300	--Default: 200
TUNING.STONEWALL_HEALTH = 50000	--Default: 400

--Winter Insulation
TUNING.INSULATION_TINY = seg_time*24
TUNING.INSULATION_SMALL = seg_time*24
TUNING.INSULATION_MED = seg_time*24
TUNING.INSULATION_LARGE = seg_time*24

-- Now you can finally get rid of your junk.


--[[
AddPrefabPostInit("stinger", AddBurn)
AddPrefabPostInit("gears", AddBurn)
AddPrefabPostInit("axe", AddBurn)
AddPrefabPostInit("flowerhat", AddBurn)
AddPrefabPostInit("boomerang", AddBurn)
AddPrefabPostInit("cutstone", AddBurn)
AddPrefabPostInit("diviningrod", AddBurn)
AddPrefabPostInit("feather_crow", AddBurn)
AddPrefabPostInit("feather_robin", AddBurn)
AddPrefabPostInit("feather_robin_winter", AddBurn)
AddPrefabPostInit("petals_evil", AddBurn)
AddPrefabPostInit("hammer", AddBurn)
AddPrefabPostInit("pickaxe", AddBurn)
AddPrefabPostInit("shovel", AddBurn)
AddPrefabPostInit("backpack", AddBurn)
AddPrefabPostInit("nitre", AddBurn)
AddPrefabPostInit("trinket_1", AddBurn)
AddPrefabPostInit("trinket_2", AddBurn)
AddPrefabPostInit("trinket_3", AddBurn)
AddPrefabPostInit("trinket_4", AddBurn)
AddPrefabPostInit("spear", AddBurn)
AddPrefabPostInit("tentaclespike", AddBurn)
AddPrefabPostInit("torch", AddBurn)
AddPrefabPostInit("trap", AddBurn)
AddPrefabPostInit("trap_teeth", AddBurn)
AddPrefabPostInit("turf_grass", AddBurn)
AddPrefabPostInit("flint", AddBurn)
--]]